# Install script for directory: /tmp/pcl-pcl-1.9.1/io

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr/local")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_iox" OR NOT CMAKE_INSTALL_COMPONENT)
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHECK
           FILE "${file}"
           RPATH "/usr/local/lib")
    endif()
  endforeach()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_io_ply.so.1.9.1"
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_io_ply.so.1.9"
    )
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHANGE
           FILE "${file}"
           OLD_RPATH "::::::::::::::"
           NEW_RPATH "/usr/local/lib")
      if(CMAKE_INSTALL_DO_STRIP)
        execute_process(COMMAND "/usr/bin/strip" "${file}")
      endif()
    endif()
  endforeach()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_iox" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so")
    file(RPATH_CHECK
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so"
         RPATH "/usr/local/lib")
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_io_ply.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so")
    file(RPATH_CHANGE
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so"
         OLD_RPATH "::::::::::::::"
         NEW_RPATH "/usr/local/lib")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/usr/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io_ply.so")
    endif()
  endif()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_iox" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/io/ply" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/ply/byte_order.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/ply/io_operators.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/ply/ply.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/ply/ply_parser.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_iox" OR NOT CMAKE_INSTALL_COMPONENT)
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHECK
           FILE "${file}"
           RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
    endif()
  endforeach()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_io.so.1.9.1"
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_io.so.1.9"
    )
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHANGE
           FILE "${file}"
           OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib:"
           NEW_RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
      if(CMAKE_INSTALL_DO_STRIP)
        execute_process(COMMAND "/usr/bin/strip" "${file}")
      endif()
    endif()
  endforeach()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_iox" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so")
    file(RPATH_CHECK
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so"
         RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_io.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so")
    file(RPATH_CHANGE
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so"
         OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib:"
         NEW_RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/usr/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_io.so")
    endif()
  endif()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_iox" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig" TYPE FILE FILES "/tmp/pcl-pcl-1.9.1/build/io/pcl_io-1.9.pc")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_iox" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/io" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/boost.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/eigen.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/debayer.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/file_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/auto_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/low_level_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/lzf.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/lzf_image_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/grabber.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/file_grabber.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/pcd_grabber.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/pcd_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/vtk_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/ply_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/tar.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/obj_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/ascii_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/ifs_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/image_grabber.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/hdl_grabber.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/vlp_grabber.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/robot_eye_grabber.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/point_cloud_image_extractors.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/io_exception.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/vtk_lib_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/png_io.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/pxc_grabber.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_iox" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/compression" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/compression/octree_pointcloud_compression.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/compression/color_coding.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/compression/compression_profiles.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/compression/entropy_range_coder.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/compression/point_coding.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/compression/organized_pointcloud_conversion.h"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/compression/libpng_wrapper.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_iox" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/io/impl" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/impl/ascii_io.hpp"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/impl/pcd_io.hpp"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/impl/auto_io.hpp"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/impl/lzf_image_io.hpp"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/impl/synchronized_queue.hpp"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/impl/point_cloud_image_extractors.hpp"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/compression/impl/entropy_range_coder.hpp"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/compression/impl/octree_pointcloud_compression.hpp"
    "/tmp/pcl-pcl-1.9.1/io/include/pcl/io/impl/vtk_lib_io.hpp"
    )
endif()

if(NOT CMAKE_INSTALL_LOCAL_ONLY)
  # Include the install script for each subdirectory.
  include("/tmp/pcl-pcl-1.9.1/build/io/tools/cmake_install.cmake")

endif()

