# Install script for directory: /tmp/pcl-pcl-1.9.1/recognition

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr/local")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHECK
           FILE "${file}"
           RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
    endif()
  endforeach()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_recognition.so.1.9.1"
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_recognition.so.1.9"
    )
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHANGE
           FILE "${file}"
           OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib:"
           NEW_RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
      if(CMAKE_INSTALL_DO_STRIP)
        execute_process(COMMAND "/usr/bin/strip" "${file}")
      endif()
    endif()
  endforeach()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so")
    file(RPATH_CHECK
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so"
         RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_recognition.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so")
    file(RPATH_CHANGE
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so"
         OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib:"
         NEW_RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/usr/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_recognition.so")
    endif()
  endif()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig" TYPE FILE FILES "/tmp/pcl-pcl-1.9.1/build/recognition/pcl_recognition-1.9.pc")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/boost.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/color_gradient_dot_modality.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/color_gradient_modality.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/color_modality.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/crh_alignment.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/linemod.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/dotmod.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/quantizable_modality.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/quantized_map.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/dot_modality.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/region_xy.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/mask_map.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/point_types.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/distance_map.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/dense_quantized_multi_mod_template.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/sparse_quantized_multi_mod_template.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/surface_normal_modality.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/linemod/line_rgbd.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/implicit_shape_model.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/auxiliary.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/hypothesis.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/model_library.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/rigid_transform_space.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/obj_rec_ransac.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/orr_graph.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/orr_octree_zprojection.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/trimmed_icp.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/orr_octree.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/simple_octree.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/voxel_structure.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/bvh.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/ransac_based" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/auxiliary.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/hypothesis.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/model_library.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/rigid_transform_space.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/obj_rec_ransac.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/orr_graph.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/orr_octree_zprojection.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/trimmed_icp.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/orr_octree.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/simple_octree.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/voxel_structure.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/ransac_based/bvh.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/hv" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/hv/occlusion_reasoning.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/hv/hypotheses_verification.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/hv/hv_papazov.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/hv/hv_go.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/hv/greedy_verification.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/cg" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/cg/correspondence_grouping.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/cg/hough_3d.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/cg/geometric_consistency.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/face_detection" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/face_detection/face_common.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/face_detection/face_detector_data_provider.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/face_detection/rf_face_detector_trainer.h"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/face_detection/rf_face_utils.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/impl" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/linemod/line_rgbd.hpp"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/ransac_based/simple_octree.hpp"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/ransac_based/voxel_structure.hpp"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/implicit_shape_model.hpp"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/impl/ransac_based" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/ransac_based/simple_octree.hpp"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/ransac_based/voxel_structure.hpp"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/impl/hv" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/hv/occlusion_reasoning.hpp"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/hv/hv_papazov.hpp"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/hv/greedy_verification.hpp"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/hv/hv_go.hpp"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/impl/cg" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/cg/correspondence_grouping.hpp"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/cg/hough_3d.hpp"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/cg/geometric_consistency.hpp"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/linemod" TYPE FILE FILES "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/linemod/line_rgbd.h")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/impl/linemod" TYPE FILE FILES "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/impl/linemod/line_rgbd.hpp")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_recognitionx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/recognition/3rdparty/metslib" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty/metslib/abstract-search.hh"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty/metslib/local-search.hh"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty/metslib/mets.hh"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty/metslib/metslib_config.hh"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty/metslib/model.hh"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty/metslib/observer.hh"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty/metslib/simulated-annealing.hh"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty/metslib/tabu-search.hh"
    "/tmp/pcl-pcl-1.9.1/recognition/include/pcl/recognition/3rdparty/metslib/termination-criteria.hh"
    )
endif()

