# Install script for directory: /tmp/pcl-pcl-1.9.1/registration

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr/local")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_registrationx" OR NOT CMAKE_INSTALL_COMPONENT)
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHECK
           FILE "${file}"
           RPATH "/usr/local/lib")
    endif()
  endforeach()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_registration.so.1.9.1"
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_registration.so.1.9"
    )
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHANGE
           FILE "${file}"
           OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:"
           NEW_RPATH "/usr/local/lib")
      if(CMAKE_INSTALL_DO_STRIP)
        execute_process(COMMAND "/usr/bin/strip" "${file}")
      endif()
    endif()
  endforeach()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_registrationx" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so")
    file(RPATH_CHECK
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so"
         RPATH "/usr/local/lib")
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_registration.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so")
    file(RPATH_CHANGE
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so"
         OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:"
         NEW_RPATH "/usr/local/lib")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/usr/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_registration.so")
    endif()
  endif()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_registrationx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig" TYPE FILE FILES "/tmp/pcl-pcl-1.9.1/build/registration/pcl_registration-1.9.pc")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_registrationx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/registration" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/eigen.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/boost.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/boost_graph.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/convergence_criteria.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/default_convergence_criteria.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_estimation.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_estimation_normal_shooting.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_estimation_backprojection.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_estimation_organized_projection.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_distance.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_median_distance.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_surface_normal.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_features.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_one_to_one.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_poly.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_sample_consensus.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_sample_consensus_2d.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_trimmed.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_var_trimmed.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_rejection_organized_boundary.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_sorting.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/correspondence_types.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/ia_ransac.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/icp.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/joint_icp.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/incremental_registration.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/icp_nl.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/lum.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/elch.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/meta_registration.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/ndt.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/ndt_2d.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/ppf_registration.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/pairwise_graph_registration.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/pyramid_feature_matching.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/registration.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transforms.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_2D.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_svd.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_svd_scale.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_dual_quaternion.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_lm.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_point_to_plane.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_point_to_plane_weighted.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_point_to_plane_lls.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_point_to_plane_lls_weighted.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_validation.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_validation_euclidean.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/gicp.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/gicp6d.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/bfgs.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/warp_point_rigid.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/warp_point_rigid_6d.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/warp_point_rigid_3d.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/distances.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/exceptions.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/sample_consensus_prerejective.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/ia_fpcs.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/ia_kfpcs.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/matching_candidate.h"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/transformation_estimation_3point.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_registrationx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/registration/impl" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/default_convergence_criteria.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_estimation.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_estimation_normal_shooting.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_estimation_backprojection.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_estimation_organized_projection.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_distance.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_median_distance.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_surface_normal.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_features.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_one_to_one.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_poly.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_sample_consensus.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_sample_consensus_2d.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_trimmed.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_var_trimmed.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_rejection_organized_boundary.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/correspondence_types.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/ia_ransac.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/icp.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/joint_icp.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/incremental_registration.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/icp_nl.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/elch.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/lum.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/meta_registration.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/ndt.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/ndt_2d.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/ppf_registration.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/pyramid_feature_matching.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/registration.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_estimation_2D.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_estimation_svd.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_estimation_svd_scale.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_estimation_dual_quaternion.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_estimation_lm.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_estimation_point_to_plane_lls.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_estimation_point_to_plane_lls_weighted.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_estimation_point_to_plane_weighted.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_validation_euclidean.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/gicp.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/sample_consensus_prerejective.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/ia_fpcs.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/ia_kfpcs.hpp"
    "/tmp/pcl-pcl-1.9.1/registration/include/pcl/registration/impl/transformation_estimation_3point.hpp"
    )
endif()

