# Install script for directory: /tmp/pcl-pcl-1.9.1

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr/local")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_commonx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl" TYPE FILE FILES "/tmp/pcl-pcl-1.9.1/build/include/pcl/pcl_config.h")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpclconfigx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pcl-1.9/Modules" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindDSSDK.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindEigen.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindEnsenso.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindFLANN.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindFZAPI.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindG2O.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindGLEW.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindGTSAM.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindGtest.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindOpenNI.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindOpenNI2.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindPcap.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindQVTK.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindQhull.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindRSSDK.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindSphinx.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FindSuiteSparse.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/FinddavidSDK.cmake"
    "/tmp/pcl-pcl-1.9.1/cmake/Modules/Findlibusb-1.0.cmake"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpclconfigx" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/share/pcl-1.9" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/build/PCLConfig.cmake"
    "/tmp/pcl-pcl-1.9.1/build/PCLConfigVersion.cmake"
    )
endif()

if(NOT CMAKE_INSTALL_LOCAL_ONLY)
  # Include the install script for each subdirectory.
  include("/tmp/pcl-pcl-1.9.1/build/common/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/kdtree/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/octree/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/search/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/sample_consensus/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/filters/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/2d/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/geometry/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/io/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/features/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/ml/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/segmentation/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/visualization/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/surface/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/registration/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/keypoints/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/tracking/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/recognition/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/stereo/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/apps/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/cuda/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/outofcore/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/examples/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/gpu/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/people/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/simulation/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/test/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/tools/cmake_install.cmake")
  include("/tmp/pcl-pcl-1.9.1/build/doc/cmake_install.cmake")

endif()

if(CMAKE_INSTALL_COMPONENT)
  set(CMAKE_INSTALL_MANIFEST "install_manifest_${CMAKE_INSTALL_COMPONENT}.txt")
else()
  set(CMAKE_INSTALL_MANIFEST "install_manifest.txt")
endif()

string(REPLACE ";" "\n" CMAKE_INSTALL_MANIFEST_CONTENT
       "${CMAKE_INSTALL_MANIFEST_FILES}")
file(WRITE "/tmp/pcl-pcl-1.9.1/build/${CMAKE_INSTALL_MANIFEST}"
     "${CMAKE_INSTALL_MANIFEST_CONTENT}")
