# Install script for directory: /tmp/pcl-pcl-1.9.1/outofcore

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr/local")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_outofcorex" OR NOT CMAKE_INSTALL_COMPONENT)
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHECK
           FILE "${file}"
           RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
    endif()
  endforeach()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_outofcore.so.1.9.1"
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_outofcore.so.1.9"
    )
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHANGE
           FILE "${file}"
           OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib:"
           NEW_RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
      if(CMAKE_INSTALL_DO_STRIP)
        execute_process(COMMAND "/usr/bin/strip" "${file}")
      endif()
    endif()
  endforeach()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_outofcorex" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so")
    file(RPATH_CHECK
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so"
         RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_outofcore.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so")
    file(RPATH_CHANGE
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so"
         OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib:"
         NEW_RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/usr/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_outofcore.so")
    endif()
  endif()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_outofcorex" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig" TYPE FILE FILES "/tmp/pcl-pcl-1.9.1/build/outofcore/pcl_outofcore-1.9.pc")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_outofcorex" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/outofcore" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/metadata.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/outofcore_base_data.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/outofcore_node_data.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/outofcore_iterator_base.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/outofcore_breadth_first_iterator.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/outofcore_depth_first_iterator.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/boost.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/cJSON.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/octree_base.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/octree_base_node.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/octree_abstract_node_container.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/octree_disk_container.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/octree_ram_container.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/outofcore.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/outofcore_impl.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_outofcorex" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/outofcore/impl" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/impl/outofcore_breadth_first_iterator.hpp"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/impl/outofcore_depth_first_iterator.hpp"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/impl/octree_base.hpp"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/impl/octree_base_node.hpp"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/impl/octree_disk_container.hpp"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/impl/octree_ram_container.hpp"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/impl/monitor_queue.hpp"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/impl/lru_cache.hpp"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_outofcorex" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/outofcore/visualization" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/visualization/axes.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/visualization/camera.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/visualization/common.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/visualization/geometry.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/visualization/grid.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/visualization/object.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/visualization/outofcore_cloud.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/visualization/scene.h"
    "/tmp/pcl-pcl-1.9.1/outofcore/include/pcl/outofcore/visualization/viewport.h"
    )
endif()

if(NOT CMAKE_INSTALL_LOCAL_ONLY)
  # Include the install script for each subdirectory.
  include("/tmp/pcl-pcl-1.9.1/build/outofcore/tools/cmake_install.cmake")

endif()

