# Install script for directory: /tmp/pcl-pcl-1.9.1/surface

# Set the install prefix
if(NOT DEFINED CMAKE_INSTALL_PREFIX)
  set(CMAKE_INSTALL_PREFIX "/usr/local")
endif()
string(REGEX REPLACE "/$" "" CMAKE_INSTALL_PREFIX "${CMAKE_INSTALL_PREFIX}")

# Set the install configuration name.
if(NOT DEFINED CMAKE_INSTALL_CONFIG_NAME)
  if(BUILD_TYPE)
    string(REGEX REPLACE "^[^A-Za-z0-9_]+" ""
           CMAKE_INSTALL_CONFIG_NAME "${BUILD_TYPE}")
  else()
    set(CMAKE_INSTALL_CONFIG_NAME "Release")
  endif()
  message(STATUS "Install configuration: \"${CMAKE_INSTALL_CONFIG_NAME}\"")
endif()

# Set the component getting installed.
if(NOT CMAKE_INSTALL_COMPONENT)
  if(COMPONENT)
    message(STATUS "Install component: \"${COMPONENT}\"")
    set(CMAKE_INSTALL_COMPONENT "${COMPONENT}")
  else()
    set(CMAKE_INSTALL_COMPONENT)
  endif()
endif()

# Install shared libraries without execute permission?
if(NOT DEFINED CMAKE_INSTALL_SO_NO_EXE)
  set(CMAKE_INSTALL_SO_NO_EXE "1")
endif()

# Is this installation the result of a crosscompile?
if(NOT DEFINED CMAKE_CROSSCOMPILING)
  set(CMAKE_CROSSCOMPILING "FALSE")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_surfacex" OR NOT CMAKE_INSTALL_COMPONENT)
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHECK
           FILE "${file}"
           RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
    endif()
  endforeach()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_surface.so.1.9.1"
    "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_surface.so.1.9"
    )
  foreach(file
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so.1.9.1"
      "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so.1.9"
      )
    if(EXISTS "${file}" AND
       NOT IS_SYMLINK "${file}")
      file(RPATH_CHANGE
           FILE "${file}"
           OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib:"
           NEW_RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
      if(CMAKE_INSTALL_DO_STRIP)
        execute_process(COMMAND "/usr/bin/strip" "${file}")
      endif()
    endif()
  endforeach()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_surfacex" OR NOT CMAKE_INSTALL_COMPONENT)
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so")
    file(RPATH_CHECK
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so"
         RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
  endif()
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib" TYPE SHARED_LIBRARY FILES "/tmp/pcl-pcl-1.9.1/build/lib/libpcl_surface.so")
  if(EXISTS "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so" AND
     NOT IS_SYMLINK "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so")
    file(RPATH_CHANGE
         FILE "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so"
         OLD_RPATH "/tmp/pcl-pcl-1.9.1/build/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib:"
         NEW_RPATH "/usr/local/lib:/usr/lib/x86_64-linux-gnu/hdf5/serial/lib")
    if(CMAKE_INSTALL_DO_STRIP)
      execute_process(COMMAND "/usr/bin/strip" "$ENV{DESTDIR}${CMAKE_INSTALL_PREFIX}/lib/libpcl_surface.so")
    endif()
  endif()
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_surfacex" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/lib/pkgconfig" TYPE FILE FILES "/tmp/pcl-pcl-1.9.1/build/surface/pcl_surface-1.9.pc")
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_surfacex" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/surface" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/boost.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/eigen.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/ear_clipping.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/gp3.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/grid_projection.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/marching_cubes.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/marching_cubes_hoppe.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/marching_cubes_rbf.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/bilateral_upsampling.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/mls.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/organized_fast_mesh.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/reconstruction.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/processing.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/simplification_remove_unused_vertices.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/surfel_smoothing.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/texture_mapping.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/poisson.h"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_surfacex" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/surface/3rdparty/poisson4" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/allocator.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/binary_node.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/bspline_data.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/factor.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/function_data.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/geometry.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/hash.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/marching_cubes_poisson.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/mat.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/multi_grid_octree_data.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/polynomial.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/ppolynomial.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/sparse_matrix.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/vector.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/bspline_data.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/function_data.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/geometry.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/mat.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/multi_grid_octree_data.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/octree_poisson.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/polynomial.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/ppolynomial.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/sparse_matrix.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/3rdparty/poisson4/vector.hpp"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_surfacex" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/surface/impl" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/gp3.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/grid_projection.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/marching_cubes.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/marching_cubes_hoppe.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/marching_cubes_rbf.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/bilateral_upsampling.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/mls.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/organized_fast_mesh.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/reconstruction.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/processing.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/surfel_smoothing.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/texture_mapping.hpp"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/impl/poisson.hpp"
    )
endif()

if("x${CMAKE_INSTALL_COMPONENT}x" STREQUAL "xpcl_surfacex" OR NOT CMAKE_INSTALL_COMPONENT)
  file(INSTALL DESTINATION "${CMAKE_INSTALL_PREFIX}/include/pcl-1.9/pcl/surface/vtk_smoothing" TYPE FILE FILES
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/vtk_smoothing/vtk.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/vtk_smoothing/vtk_utils.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/vtk_smoothing/vtk_mesh_subdivision.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/vtk_smoothing/vtk_mesh_quadric_decimation.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/vtk_smoothing/vtk_mesh_smoothing_laplacian.h"
    "/tmp/pcl-pcl-1.9.1/surface/include/pcl/surface/vtk_smoothing/vtk_mesh_smoothing_windowed_sinc.h"
    )
endif()

